Subject: bug#58407: 29.0.50; docstring for compilation-auto-jump-to-first-error incomplete

From: Holger Schurig <[email-masked]>
Date: Mon, 10 Oct 2022 02:11:57 -0700

M-x describe-variable compilation-auto-jump-to-first-error says:

-----------------------------------------------------------------------------
If non-nil, automatically jump to the first error during compilation.
-----------------------------------------------------------------------------

But the etc/NEWS entry says

-----------------------------------------------------------------------------
*** The 'compilation-auto-jump-to-first-error' user option has been extended.
It can now have the additional values 'if-location-known' (which will
only jump if the location of the first error is known), and
'first-known' (which will jump to the first known error location).
-----------------------------------------------------------------------------

So I think the docstring is currently incomplete.

In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version
 3.24.24, cairo version 1.16.0) of 2022-10-10 built on desktop
Repository revision: 93136169cba9c7c8f827dbc2f579b95a75d15fad
Repository branch: master